# getSrcDirTrees

abstract fun getSrcDirTrees(): Set<DirectoryTree>

Returns the source directory trees that make up this set.

Note that filtering via patterns using exclude and include (or any overload of these methods) only filters files within the DirectoryTrees returned by this method and does not filter the set of source directory trees themselves. This result should agree with getSrcDirs.

Does not filter source directories that do not exist.

Note that if there are multiple source directories added to this set that include the same dir, we use the patterns from the first one we find (in the order they were added) to filter files in the returned DirectoryTrees. It is discouraged to add multiple source directories that include the same dir to the same set.

#### Return

The source directory trees. Returns an empty set when this set contains no source directories.